<template>
  <b-badge
    pill
    class="version-status text-capitalize"
    :variant="badgeVariant"
  >
    {{ parsedStatus }}
  </b-badge>
</template>

<script lang="ts">
import Vue from 'vue';
import { STATUS_METADATA } from '@/common/constants';

export default Vue.extend({
  props: {
    status: {
      required: true,
      type: String,
    },
  },

  computed: {
    parsedStatus(): string {
      return this.status.replace('_', ' ').toLowerCase();
    },
    badgeVariant(): string {
      return STATUS_METADATA[this.status]?.variant;
    },
  },
});
</script>

<style scoped>
.version-status {
  font-size: 100%;
  padding: 0.5rem 1rem;
}
.badge-primary {
  background-color: rgba(0, 118, 182, 0.7);
}
.badge-secondary {
  background-color: rgba(119, 119, 119, 0.5);
}
.badge-danger {
  background-color: rgba(235, 87, 87, 0.8);
}
.badge-success {
  background-color: rgba(82, 148, 88, 0.7);
}
.badge-warning {
  background-color: #F2DDC1;
  color: #777777;
}
</style>
